Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class ReadOnlyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.util.ReadOnlyException

All Implemented Interfaces:
  java.io.Serializable

public class ReadOnlyException
extends java.lang.Exception

See Also:
  Serialized Form

Constructor Summary
`ReadOnlyException()` Constructor for ReadOnlyException.
`ReadOnlyException(java.lang.String message)` Constructor for ReadOnlyException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadOnlyException

    public ReadOnlyException()

  Constructor for ReadOnlyException.

### ReadOnlyException

    public ReadOnlyException(java.lang.String message)

  Constructor for ReadOnlyException.

Parameters:
  `message` -

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.